LSLOGINS(1)

NAZWA
lslogins - wyświetla informacje o użytkownikach znanych w systemie

SKŁADNIA

lslogins [opcje] [-s|-u[=UID]] [-g grupy] [-l loginy] [nazwa-użytkownika]

OPIS

Sprawdza dzienniki wtmp i btmp, /etc/shadow (jeśli to wymagane) i /passwd i wypisuje żądane dane.and output the desired data.

Opcjonalny argument nazwa-użytkownika powoduje, że lslogins wypisze wszystkie dostępne szczegóły tylko o podanym użytkowniku. W takim przypadku format wyjściowy jest odmienny od używanego w opcjach -l lub -g, a nieznana nazwa-użytkownika jest zgłaszana jako błąd.

Domyślnym działaniem jest wypisanie informacji o wszystkich użytkownikach systemu.

OPCJE

Argumenty obowiązkowe do długich opcji, są również obowiązkowe do opcji krótkich.

-a, --acc-expiration
    Wyświetla dane o dacie ostatniej zmiany hasła i dacie wygasania konta (więcej informacji w podręczniku shadow(5); wymaga uprawnień roota).

--btmp-file ścieżka
    Alternatywna ścieżka btmp.

-c, --colon-separate
    Rozdziela informacje o poszczególnych użytkownikach dwukropkiem, zamiast nowym wierszem.

-e, --export
    Wypisuje dane w formacie NAZWA=WARTOŚĆ. Zob. też opcja --shell.

-f, --failed
    Wyświetla dane o ostatnich nieudanych próbach logowania użytkowników.

-G, --supp-groups
    Pokazuje informacje o grupach uzupełniających.

-g, --groups grupy
    Pokazuje dane tylko o użytkownikach należących do grup. Można podać wiele grup, rozdzielając je przecinkiem. Nieznane nazwy grup są ignorowane.

    Proszę zauważyć, że relacja pomiędzy użytkownikiem a grupą może być niewidoczna w przypadku podstawowej grupy, jeśli użytkownik nie jest jawnie wymieniony jako jej członek (np. w /etc/group). Przy szukaniu grupy przez polecenie lslogins, korzysta ono jedynie z bazy danych grup, natomiast baza danych użytkowników (z podstawowymi identyfikatorami grup) nie jest sprawdzana.

-L, --last
    Wyświetla dane z informacjami o ostatnich sesjach logowania użytkowników.

-l, --logins loginy
    Pokazuje dane tylko o użytkownikach z podanymi loginami (mogą być to nazwy użytkowników lub ich identyfikatory). Można podać wiele loginów, rozdzielając je przecinkiem. Nieznane nazwy loginów są ignorowane.

-n, --newline
    Wyświetla każdą informację w oddzielnym wierszu.

--noheadings
    Nie wypisuje nagłówka.

--notruncate
    Nie przycina wyjścia.

-o, --output lista
    Określa, które kolumny wyjściowe wypisać. Domyślną listę kolumn można rozszerzyć, podając listę w formacie +lista.

--output-all
    Output all available columns. --list-columns to get a list of all supported columns.

-H, --list-columns
    List the columns that can be specified with the --output option. Can be used with --json or --raw to get the list in a machine-readable format.

-p, --pwd
    Wyświetla informacje związane z logowaniem hasłem (zob. też -afL).

-r, --raw
    Surowe wyjście (bez kolumn).

-J, --json
    JSON format output.

-s, --system-accs
    Show system accounts. These are by default all accounts with a UID between 101 and 999 (inclusive), with the exception of either nobody or nfsnobody (UID 65534). This hardcoded default may be overridden by the parameters SYS_UID_MIN and SYS_UID_MAX in the file /etc/login.defs.

--time-format typ
    Wyświetla daty w formacie: short (krótkim), full (pełnym) lub iso. Domyślnym formatem jest short, zaprojektowany by być zwięzłym i czytelnym dla człowieka.

-u, --user-accs
    Show user accounts. These are by default all accounts with a UID above 1000 (inclusive), with the exception of either nobody or nfsnobody (UID 65534). This hardcoded default may be overridden by the parameters UID_MIN and UID_MAX in the file /etc/login.defs.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

--wtmp-file ścieżka
    Alternatywna ścieżka wtmp.

--lastlog-file path
    Alternatywna ścieżka lastlog(8).

-y, --shell
    Nazwy kolumn będą zmodyfikowane, aby zawierać jedynie znaki dozwolone dla identyfikatorów zmiennych powłoki. Jest to przydatne np. z opcją --export. Proszę zauważyć, że funkcję tą włączono automatycznie przy opcji --export w wersji 2.37, ale z powodu problemów z kompatybilnością, obecnie konieczne jest zażądanie takiego zachowania opcją --shell.

-Z, --context
    Wyświetla kontekst bezpieczeństwa użytkowników.

-z, --print0
    Rozdziela wpisy użytkowników znakiem nul, zamiast znakiem nowego wiersza.

STATUS ZAKOŃCZENIA

0
    jeśli wszystko jest OK,

1
    jeśli podano niepoprawne argumenty,

2
    jeśli wystąpił poważny błąd (np. uszkodzony plik dziennika).

UWAGI

Domyślne progi identyfikatorów użytkowników są odczytywane z /etc/login.defs.

  Status hasła

Wiele pól opisuje status hasła.

"Hasło jest zablokowane"
    Hasło poprzedzono znakami "!!", a użytkownik nie może się zalogować, niezależnie od tego, czy hasło jest ustawione czy puste. Jest to częste w przypadku nowych kont bez ustawionego hasła.

"Hasło nie jest wymagane (puste)"
    Hasło nie jest ustawione (brak skrótu hasła); jest to częste w przypadku zablokowanych kont systemowych. To, że hasło nie jest wymagane, nie oznacza, że można się zalogować nie podając hasła. Zależy od stasusu "blokady" hasła.

"Logowanie z użyciem hasła wyłączone"
    "yes" oznacza, że brak jest prawidłowego hasła. Skrót hasła nie istnieje, nieznana jest metoda tworzenia skrótu lub zawiera on nieprawidłowe znaki.

ŚRODOWISKO

LIBSMARTCOLS_DEBUG=all
    włącza wyjście debugowania libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    używa widocznych znaków wypełnienia.

HISTORIA

Inspiracją do powstania narzędzia lslogins było narzędzie logins, które pojawiło się we FreeBSD 4.10.

AUTORZY

ZOBACZ TAKŻE

group(5), passwd(5), shadow(5), utmp(5)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie lslogins jest częścią pakietu util-linux, który można pobrać ze strony